=== debian/changelog ===
rdp-alignment (1.2.0-6) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2020 17:26:50 +0100

rdp-alignment (1.2.0-5) unstable; urgency=medium

  * Add jaxb jars in classpath, Closes: #912388

 -- Olivier Sallou <osallou@debian.org>  Mon, 05 Nov 2018 08:46:01 +0000

rdp-alignment (1.2.0-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 13:34:15 +0200

rdp-alignment (1.2.0-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 15:10:50 +0100

rdp-alignment (1.2.0-2) unstable; urgency=medium

  * Fix build when /bin/sh is set to bash (thanks for the patch to
    Chris Lamb <lamby@debian.org)
    Closes: #841440
  * cme fix dpkg-control (including removing Conflicts with never released
    librdp-alignment-java)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Oct 2016 20:27:29 +0200

rdp-alignment (1.2.0-1) unstable; urgency=medium

  * Initial upload to Debian
    Closes: #780310

 -- Andreas Tille <tille@debian.org>  Sun, 01 Mar 2015 18:35:26 +0100

librdp-alignment-java (0.1.20140606-0biolinux1) trusty; urgency=medium

  * New package wanted for rdp-classifier

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 06 Oct 2014 18:14:33 +0100
