=== debian/control ===
Source: rdp-alignment
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               libcommons-io-java,
               libcommons-cli-java,
               libcommons-lang-java,
               libjaxb-java,
               libjaxb-api-java,
               junit4,
               ant,
               ant-optional,
               rdp-readseq
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/rdp-alignment
Vcs-Git: https://salsa.debian.org/med-team/rdp-alignment.git
Homepage: https://github.com/rdpstaff/AlignmentTools
Rules-Requires-Root: no

Package: rdp-alignment
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends}
Description: Ribosomal Database Project (RDP) alignment tools package
 The Alignment tools package contains commands to do defined community
 analysis, pairwise alignment and hidden markov model (HMMER3 models,
 no training).
 .
 The package also contains the AlignmentTools Java library which is used by
 other RDP tools.
