=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CLASSPATH=/usr/share/jaba/jaxb-api.jar:/usr/share/java/jaxb-impl.jar:/usr/share/java/commons-cli.jar:/usr/share/java/commons-lang.jar:/usr/share/java/commons-io.jar:/usr/share/java/rdp-readseq.jar

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	rm -rf lib build *.jar junit-tmp.xml TEST-*.xml
	find test -name '*.class' -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp debian/junit.xml ./junit-tmp.xml
	ant -f junit-tmp.xml junit
endif

override_dh_clean:
	dh_clean
	rm -f debian/manifest
	rm -f debian/*.log

override_dh_auto_build:
	#Ant is over-complicating things.  Do it the easy way.
	jh_build rdp-alignment.jar src
	cd src ; jar uf ../rdp-alignment.jar data
	#Also set the manifest like so
	echo usr/share/java/rdp-alignment.jar:    >debian/manifest
	printf '\tClass-Path: jaxb-api.jar jaxb-impl.jar commons-cli.jar commons-lang.jar commons-io.jar rdp-readseq.jar\n' >>debian/manifest
	printf '\tMain-Class: '`grep '^main.class=' nbproject/project.properties | cut -c 12-`'\n' >>debian/manifest
