=== debian/watch ===
version=4

https://github.com/rdpstaff/AlignmentTools/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
